import Vue from 'vue'
import VueRouter from 'vue-router'
// import Home from '../views/HomeView.vue'
// import Features from '../views/FeaturesView.vue'
// import Signup from '../views/SignupView.vue'
// import Signin from '../views/SigninView.vue'
import appHome from '../views/AppHome.vue'
// import stellaAffiliate from '@/views/stellaAffiliate.vue'

Vue.use(VueRouter)

const routes = [
  // { path: '/', component: Home },
  // { path: '/signup', component: Signup },
  // { path: '/signin', component: Signin },
  { path: '/', component: appHome },
  // { path: '/affiliates', component: stellaAffiliate }
]


const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes,
  scrollBehavior(to, from, savedPosition) {
    if (to.hash) {
      return { selector: to.hash };
    } else if (savedPosition) {
      return savedPosition;
    } else {
      return { x: 0, y: 0 };
    }
  }
});


export default router
